## ncurses-hexedit 0.9.7%2Borig

=== debian/changelog ===
ncurses-hexedit (0.9.7+orig-7.3) unstable; urgency=medium

  * Non-maintainer upload.
  * d/p/ncurses_ftbfs.patch:
    Stop using fields of opaque _WINDOW struct (Closes: #1057935)

 -- Mate Kukri <mate.kukri@canonical.com>  Fri, 05 Jan 2024 15:59:12 +0000

ncurses-hexedit (0.9.7+orig-7.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch from Reiner Herrmann for newer ncurses.
    (Closes: #997184)

 -- Adrian Bunk <bunk@debian.org>  Fri, 10 Feb 2023 02:03:53 +0200

ncurses-hexedit (0.9.7+orig-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch from Logan Rosen for FTBFS with gcc 10.
    (Closes: #957585)

 -- Adrian Bunk <bunk@debian.org>  Sat, 06 Feb 2021 23:35:33 +0200

ncurses-hexedit (0.9.7+orig-7) unstable; urgency=medium

  * Build with Debhelper compat level 12.
  * Perform wrap-and-sort.
  * Update debian/gbp.conf to conform with DEP14 conventions.
  * Add support for nodoc build profile.
  * Add note about upstream version number in debian/README.source.
    Thanks to Dmitry Bogatov for the suggestion.
  * Reformat debian/README.Debian.

 -- Carlos Maddela <e7appew@gmail.com>  Fri, 01 Feb 2019 09:55:35 +1100

ncurses-hexedit (0.9.7+orig-6) unstable; urgency=medium

  * Set "Rules-Requires-Root: no".
  * Simplify process by which mutable files are backed up and restored.
  * Allow build to be as verbose as possible.
  * Fix spelling errors detected by lintian and mwic.
  * Indicate compliance with Debian Policy 4.3.0.

 -- Carlos Maddela <e7appew@gmail.com>  Sat, 29 Dec 2018 23:17:20 +1100

ncurses-hexedit (0.9.7+orig-5) unstable; urgency=medium

  * Update Vcs-* details to official Debian repo.

 -- Carlos Maddela <e7appew@gmail.com>  Fri, 22 Jun 2018 06:02:26 +1000

ncurses-hexedit (0.9.7+orig-4) unstable; urgency=medium

  * Update build dependency to libncurses-dev [ncurses6].
  * Add machine-readable upstream metadata.
  * Indicate compliance with Debian Policy 4.1.4.

 -- Carlos Maddela <e7appew@gmail.com>  Fri, 27 Apr 2018 16:51:18 +1000

ncurses-hexedit (0.9.7+orig-3) unstable; urgency=medium

  * Enable LFS support for 32-bit architectures.
  * Fix buffer overruns when program is started without a file name
    parameter from a terminal with a column width of less than 57
    characters, or when the terminal is resized to such a width.
    (Closes: #535848)

 -- Carlos Maddela <e7appew@gmail.com>  Wed, 14 Mar 2018 05:49:34 +1100

ncurses-hexedit (0.9.7+orig-2) unstable; urgency=medium

  * Add missing dependency for dot-info autopkgtest and provide more
    specific exit statuses in case of failure.
  * Update overridden Lintian warning:
    debian-watch-may-check-gpg-signature ->
    debian-watch-does-not-check-gpg-signature

 -- Carlos Maddela <e7appew@gmail.com>  Fri, 02 Feb 2018 03:51:43 +1100

ncurses-hexedit (0.9.7+orig-1) unstable; urgency=medium

  * New maintainer. (Closes: #873553)
  * Convert source to '3.0 (quilt)' format.
  * Build with Debhelper compat level 11. (Closes: #595051) (LP: #881825)
  * debian/control:
    - Add homepage details.
    - Indicate compliance with Debian Policy 4.1.3.
    - Add VCS details.
  * debian/rules:
    - Build with all hardening flags set.
  * debian/patches:
    - Update autoconf files for version 2.69.
    - Fix conflicting definitions of ncurses' WINDOW. (Closes: #701670)
    - Generate an INFO-DIR-SECTION without ".info" for info file.
      (Closes: #551671)
    - Fix compilation warnings.
    - Don't prompt about quitting without saving if file is unmodified.
      (Closes: #652947)
    - If started in read-only mode, keep this mode for subsequent
      files too.
  * Remove trailing white spaces from changelog.
  * Add watch file.
  * Revert to using unrepacked upstream tarball, since renaming the
    project's top-level directory is no longer necessary with current
    standards.
  * Convert debian/copyright to DEP-5 format and update.
  * Add debian/gbp.conf.

 -- Carlos Maddela <e7appew@gmail.com>  Tue, 23 Jan 2018 02:07:23 +1100

ncurses-hexedit (0.9.7-14.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix segflault when searching for text that isn't in the file being viewed
    (closes: #536736)
    - Patch thanks to Steven Burke.

 -- Michael Gilbert <mgilbert@debian.org>  Tue, 30 Oct 2012 21:03:18 +0000

ncurses-hexedit (0.9.7-14) unstable; urgency=low

  * New Maintainer. (Closes: #419075)
  * Added patch from Eduardo Pérez Ureta <edpeur@gmail.com>
    to correct programing error in search.c (Closes: #484056).
  * update docs/hexeditor.1 and remove docs/hexedit.1 (Closes: #510952)
  * Conforms to Standards version 3.8.0

 -- Manfred Lichtenstern <manfred@lichtenstern.biz>  Wed, 07 Jan 2009 20:03:22 +0100

ncurses-hexedit (0.9.7-13) unstable; urgency=low

  * QA upload.
  * src/hexedit.h: Define a fallback value for PATH_MAX on GNU/Hurd.
    Thanks to Santiago Vila for the patch.  Closes: #218335.
  * src/help.c: Fix typo in help screen.  Closes: #291656.
  * debian/changelog: Remove obsolete Emacs local variables.

 -- Matej Vela <vela@debian.org>  Fri, 27 Apr 2007 16:48:49 +0200

ncurses-hexedit (0.9.7-12) unstable; urgency=low

  * QA upload.
  * Set maintainter to QA Group, Orphaned: #419075
  * Remove build dependency on make (build-essential can be omitted)
  * Bump debian/compat to 5, use newer debhelper, update debian/rules
  * Update Standards Version to 3.7.2

 -- Michael Ablassmeier <abi@debian.org>  Thu, 26 Apr 2007 11:23:22 +0200

ncurses-hexedit (0.9.7-11) unstable; urgency=low

  * Upgrade to standards version 3.5.8.0.  Forgot this in last release.

 -- Adam F. Rogoyski <rogoyski@debian.org>  Sun, 15 Dec 2002 19:50:58 -0600

ncurses-hexedit (0.9.7-10) unstable; urgency=low

  * Remove setting link in /usr/doc as reported by lintian.
  * Add make build-depends.

 -- Adam F. Rogoyski <rogoyski@debian.org>  Sun, 15 Dec 2002 19:36:52 -0600

ncurses-hexedit (0.9.7-9) unstable; urgency=low


