## ncurses-hexedit 0.9.7+orig

=== debian/control ===
Source: ncurses-hexedit
Section: editors
Priority: optional
Maintainer: Carlos Maddela <e7appew@gmail.com>
Build-Depends: debhelper (>= 11), libncurses5-dev (>> 5.0.0), texinfo
Standards-Version: 4.1.3
Homepage: http://www.rogoyski.com/adam/programs/hexedit/
Vcs-Git: https://salsa.debian.org/e7appew-guest/ncurses-hexedit.git
Vcs-Browser: https://salsa.debian.org/e7appew-guest/ncurses-hexedit

Package: ncurses-hexedit
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Edit files/disks in hex, ASCII and EBCDIC
 Hexedit is a file editor which allows editing and viewing a file in
 hexadecimal, along with its ASCII or EBCDIC text equivalent.  Standard
 editing features include insert, delete, search (text or byte searches),
 highlighted changes,  undo, two different viewing formats, and full
 screen text snapshots.  Allows editing of fixed disks as well.  Includes
 a binary/octal/decimal/hex converter.
