=== debian/tests/control ===
Tests: dot-info
Depends: ncurses-hexedit, install-info
